package com.muyu.common.domain.data.base;


import com.muyu.common.domain.DataValue;

/**
 * @Author：
 * @Package：com.muyu.etl.property.base
 * @Project：cloud-etl-property
 * @name：BaseDataSource
 * @Date：2024/8/28 15:59
 *
 * 数据源基准
 */
public interface BaseDataSource
{

    public void setQuery(BaseQuery baseQuery);


    public <T> T getQuery();

    public DataValue getDateValue();

    DataValue[] getRow();

    DataValue[][] fetRows();


}
