package com.muyu.server.mysql;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Map;

/**
 * @Author：
 * @Package：com.muyu.etl.property.mysql
 * @Project：cloud-etl-property
 * @name：MysqlQuery
 * @Date：2024/8/29 16:06
 */

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class MySqlQuery
{

    private String dataSourceId;

    private String dataTableName;

    private String dataName;

    private String sql;
    private Long one;
    private Integer two;

    private Map<String ,Object> params;
}
