package com.muyu.server.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.domain.CoreDataList;
import com.muyu.common.domain.DataSourceList;

import java.util.List;

/**
 * @Author：张腾
 * @Package：com.muyu.server.service
 * @Project：cloud-integration
 * @name：DataSourceService
 * @Date：2024/8/20 18:56
 */
public interface CoreDataListService extends IService<CoreDataList> {

    /**
     * 查询核心数据库
     * @param dataSourceList 客户列表请求参数
     * @return 核心数据库列表
     */
    List<CoreDataList> extractData(DataSourceList dataSourceList);
}
