package com.muyu.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.domain.CoreDataList;
import com.muyu.common.domain.DataName;

import java.util.List;

/**
 * @Author：yang
 * @Package：com.muyu.server.service
 * @Project：cloud-property
 * @name：DataNameService
 * @Date：2024/8/27 21:34
 */
public interface DataNameService extends IService<DataName> {

    /**
     * 获取数据库名
     * @return 返回试图
     */
    List<DataName> extractDataName();
}
