package com.muyu.server.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.domain.*;

import java.util.List;

/**
 * @Author：张腾
 * @Package：com.muyu.server.service
 * @Project：cloud-integration
 * @name：DataSourceService
 * @Date：2024/8/20 18:56
 */
public interface DataSourceService extends IService<DataSourceList> {

    /**
     * 抽取数据列表
     * @param connect 数据实体类
     * @return 返回试图
     */
    List<DataSourceList> extractData(Connect connect);

    /**
     * 抽取结构
     * @param connect 实体类
     * @return 返回试图
     */
    List<TableFie> extractTableField(Connect connect);



}
