package com.muyu.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.domain.TableFie;

import java.util.List;

/**
 * @Author：yang
 * @Package：com.muyu.server.service
 * @Project：cloud-property
 * @name：TableFieldServicelimt
 * @Date：2024/8/23 20:16
 */
public interface TableFieldServicelimt extends IService<TableFie> {
    /**
     * 根据客户code和分页限制，查询结果
     * @param fieId 客户code
     * @param limit 分页限制
     * @return 支付结果记录
     */
    List<TableFie> selectOrderPayByAppCodeAndLimit(String fieId, int limit);
}
