package com.muyu.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.common.domain.TableNames;

import java.util.List;

/**
 * @Author：yang
 * @Package：com.muyu.server.service
 * @Project：cloud-property
 * @name：TableRunNameService
 * @Date：2024/8/27 20:49
 */
public interface TableRunNameService extends IService<TableNames> {

    /**
     * 获取数据库表名
     * @return 返回试图
     */
    List<TableNames> extractTableName(String name);
}
